## org.apache.mahout.vectorizer.encoders
Class CachingStaticWordValueEncoder

    java.lang.Object
      org.apache.mahout.vectorizer.encoders.FeatureVectorEncoder
          org.apache.mahout.vectorizer.encoders.WordValueEncoder
              org.apache.mahout.vectorizer.encoders.StaticWordValueEncoder
                  org.apache.mahout.vectorizer.encoders.CachingStaticWordValueEncoder

    public class CachingStaticWordValueEncoder

extends StaticWordValueEncoder

Field Summary

Fields inherited from class org.apache.mahout.vectorizer.encoders.FeatureVectorEncoder
`CONTINUOUS_VALUE_HASH_SEED, WORD_LIKE_VALUE_HASH_SEED`

Constructor Summary
`CachingStaticWordValueEncoder(String name, int dataSize)`

Method Summary
`protected OpenIntIntHashMap[]` `getCaches()`
`protected int` `hashForProbe(String originalForm, int dataSize, String name, int probe)`
`void` `setProbes(int probes)` Sets the number of locations in the feature vector that a value should be in.

Methods inherited from class org.apache.mahout.vectorizer.encoders.StaticWordValueEncoder
`hashForProbe, setDictionary, setMissingValueWeight, weight`

Methods inherited from class org.apache.mahout.vectorizer.encoders.WordValueEncoder
`addToVector, asString, getWeight`

Methods inherited from class org.apache.mahout.vectorizer.encoders.FeatureVectorEncoder
`addToVector, addToVector, addToVector, bytesForString, getName, getProbes, hash, hash, hash, hash, hash, hashesForProbe, isTraceEnabled, setTraceDictionary, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingStaticWordValueEncoder

    public CachingStaticWordValueEncoder(String name,
                                         int dataSize)

Method Detail

### getCaches

    protected OpenIntIntHashMap[] getCaches()

### setProbes

    public void setProbes(int probes)

  Description copied from class: `FeatureVectorEncoder`
  Sets the number of locations in the feature vector that a value should be in.

  Overrides:
    `setProbes` in class `FeatureVectorEncoder`
  Parameters:
    `probes` - Number of locations to increment.

### hashForProbe

    protected int hashForProbe(String originalForm,
                               int dataSize,
                               String name,
                               int probe)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.